A Chat Commands Script I made.

you can insert your own commands in the CommandManager:Command() function.

hooks:
    "lib/managers/hudmanager"
    "lib/managers/menu/menunodegui"

note: you can read data from the message text
ex: /hint hello world